<?php
  /**
   * This class extends the MainController class and must be extended by all Controllers
   *
   * @author Macdonald Terrence Robinson
   * @package Core
   *
   */
  require_once dirname(__FILE__).'/../core/MainController.php';
  
  class BaseController extends MainController
  {
    public function __construct()
    {
      parent::__construct();
      
      if(($this->isAjaxRequest()) || (SiteMap::getCurrentNode() == NULL))
        return;
        
      $this->setDefaults();
    }    

  /**
   * This function is called when you set the site to be in offline mode
   * @return string
   */
    public function siteOffline()
    {
      $content = $this->loadMainContent('siteOffline');
      $this->returnContent( $content );
    }

  /**
   * This is the site search function
   * @return string
   */
    public function search()
    {
      $tvs = array();      

      if(Post::isExists('searchString') && (Post::getByKey('searchString') !='') )
        $tvs['searchResults'] = SiteMap::searchAllNodesForString(Post::getByKey('searchString'));

      $contentVars = array();
      $contentVars['searchLayout'] = $this->loadContentBucket('searchLayout', $tvs, false, false);

      $this->templateVars['mainContent'] = $this->loadMainContent('search', $contentVars);

      $this->display();
    }

  /**
   * This is where you set the default framework settings
   * @return string
   */
    private function setDefaults()
    {
      //$this->addJSFile('js/chili/jquery.chili-2.2.js');
      
      //Set the protocol ( You can have different pages run on different protocols )
      //$this->setProtocol('http');

      /*$this->addToFrameworkCode('
      <script type="text/javascript">
        ChiliBook.recipeFolder = "'.Config::$siteURL.'js/chili/";
      </script>');*/

      require_once 'libs/standalone/FormState.php';
      $formHelper = new FormState();
      $this->addToFrameworkCode("\r\n".$formHelper->generateScript());
    }
  }
?>
