$(document).ready(function(){

  if((framework.isAdminLoggedIn) && (framework.enableEditInPlace))
    showEditInPlaceNav();
    
  bindAJAX();
  bindAJAXForm();
  bindServerBrowser();
  bindWYSIWYG();
  bindAddNewChildPage();
  bindDeleteChildPage();
  bindApplyNewSortOrder();
  bindAddNewLanguage();
  bindRenameLanguage();
  bindDeleteLanguage();
});

function bindSortChildNodes()
{
  $('#childNodes > ul li').each(function(){
    $(this).attr('initialIndex', $('#childNodes > ul li').index(this) );
  });
  
  $('#childNodes > ul').sortable({update: function(event, ui){
    $('#applyNewSortOrderDiv').show();
  }});
}

function bindApplyNewSortOrder()
{
  $('#applyNewSortOrderBtn').live('click', function(){
      var postData = '&order=';
      
      $('#childNodes > ul li').each(function(){
        postData +=$(this).attr('initialIndex')+'|';
      });
      
      var applyNewSortOrderURL = framework.siteURL+framework.currentController+'/'+framework.adminFunction+'/applyNewSortOrder/?controller='+framework.currentController+'&function='+framework.currentFunction+postData;

      ajaxRequest(this, applyNewSortOrderURL,'',function(data){
        $('#childNodes').html( data );
        bindSortChildNodes();
        $('#applyNewSortOrderDiv').hide();
      });
  });
}

function bindServerBrowser()
{
  $('.serverBrowser').live('click', function(){
    var browser = window.open(framework.siteURL+'js/fckeditor/editor/plugins/ajaxfilemanager/ajaxfilemanager.php','serverBrowser','width=782, height=440');
    var target = $(this).attr('target');
    browser.focus();

    window.SetUrl = function(url){
      $(target).attr('value', url);
    }
  });
}

function bindAJAX()
{
  $('a.ajax').live('click',function(){

    ajaxRequest(this,'' ,'',function(response){      
      bindWYSIWYG();      
    });

    return false;
  });
}

function bindWYSIWYG()
{
  $('.editor').each(function(){
    if(( $(this).css('display') == 'none' ) || ( $(this).parent().css('display') == 'none' ) || ( $(this).parent().parent().css('display') == 'none' ) || ( $(this).parent().parent().parent().css('display') == 'none' ))
      return;

    if(this.id == '')
      this.id = this.tagName.toLowerCase()+'Index'+$('.editor').index(this);

    switchToEditor(this.id);
  });
}

function bindAJAXForm()
{
  //$('form.ajax').unbind();
  $('form.ajax').live('submit', function(){
    
    $(this).find('.editor').each(function(){
      FCKeditorAPI.GetInstance(this.id).UpdateLinkedField();
    });
    
    ajaxRequest(this,'' ,'',function(response){});

    return false;
  });
}

function hideEditPageProperties(obj)
{
  $('#editPageProperties').hide();
  var target = $(obj).parent().parent().parent().parent().parent().attr('target');
  $(target).show();
}

function hideEditSiteProperties(obj)
{
  $('#editSiteProperties').hide();
  var target = $(obj).parent().parent().parent().parent().parent().parent().attr('target');  
  $(target).show();
}

function hideEditContent(obj)
{
  var parent = $(obj).parent().parent().parent();
  parent.hide();
  
  var target = parent.parent().attr('target');
  $(target).show();
}


function showEditInPlaceNav()
{
  $('.editable').each(function(){
  
    var id = 'editable'+$('.editable').index(this);
    
    $(this).attr('id', id);
    
    var contentName = $(this).attr('contentname');
    var contentType = $(this).attr('contenttype');
    var uniquePerPage = $(this).attr('uniquePerPage');    
    
    var editContentNav = '<a href="javascript:void(false);" datasrc="#'+id+'" class="getEditContent"><strong>Edit Content</strong></a>';
    var editPagePropertiesNav = '<a href="javascript:void(false);" datasrc="#'+id+'" class="getEditPageProperties"><strong>Edit Page Properties</strong></a>';
    var editSitePropertiesNav = '<a href="javascript:void(false);" datasrc="#'+id+'" class="getEditSiteProperties"><strong>Edit Site Properties</strong></a>';

    var editInPlaceNav = '<div class="editInPlaceNav" style="margin-bottom: 10px;">'+editContentNav;
    
    if(contentType == 'mainContents')
      editInPlaceNav+=' | '+editPagePropertiesNav+' | '+editSitePropertiesNav;

    editInPlaceNav +='</div>';
    
    var saveContentURL = framework.siteURL+framework.currentController+'/'+framework.adminFunction+'/saveContent/?contentType='+contentType+'&contentName='+contentName+'&controller='+framework.currentController+'&function='+framework.currentFunction+'&uniquePerPage='+uniquePerPage;
    var editInPlaceContentEditor = '<div class="editContent" style="display:none;"><form action="'+saveContentURL+'" method="post" class="ajax" ajaxOutput="#'+id+'-editContentStatus" style="position:absolute;background-color:#ffffff;padding-bottom:10px"><textarea class="editor" id="'+id+'-textArea" name="newContent"></textarea><div><input class="save" type="submit" value="Save"/><input class="cancel" value="Cancel" type="button" onclick="hideEditContent(this)"/><div id="'+id+'-editContentStatus"></div></div></form></div>';

    var editInPlacePageProperties = '';
    var editInPlaceSiteProperties = '';
    
    if(contentType == 'mainContents')
    {
      editInPlacePageProperties = '<div id="editPageProperties" style="display:none"><div class="content"></div></div>';
      editInPlaceSiteProperties = '<div id="editSiteProperties" style="display:none"><div class="content"></div></div>';
    }
    
    var editInPlace = '<div class="editInPlace" target="#'+id+'">'+editInPlaceNav+editInPlaceContentEditor+editInPlacePageProperties+editInPlaceSiteProperties+'</div>';

    $(this).before(editInPlace);
  });
  
  bindEditContent();
  bindEditPageProperties();
  bindEditSiteProperties();
}

function switchToEditor(editAreaId)
{
  $siteUrl = framework.siteURL.replace("index.php/", "");
  var oFCKeditor = new FCKeditor( editAreaId );
  oFCKeditor.BasePath = $siteUrl+'js/fckeditor/';

  if(framework.isAdminLoggedIn)
    oFCKeditor.ToolbarSet = 'MyToolbar';
  else
    oFCKeditor.ToolbarSet = 'Basic';

  var width = $('#'+editAreaId).css('width');
  var height = $('#'+editAreaId).css('height');

  if((parseInt(width) < 500) || (width == 'auto'))
    width = '500';

  if((parseInt(height) < 350) || (height == 'auto'))
    height = '350';

  oFCKeditor.Width = width;
  oFCKeditor.Height = height;
  oFCKeditor.ReplaceTextarea();

  return oFCKeditor;
}

function ajaxRequest(obj, url, postData, successCallBackFunction, errorCallBackFunction)
{
  var ajaxOutput = $(obj).attr('ajaxOutput');
  var afterAjax = $(obj).attr('afterAjax');
  var onAjaxWait = $(obj).attr('onAjaxWait');
  
  if(url == '')
  {
    url = $(obj).attr('href');

    if(url == undefined)
    {
      url = $(obj).attr('action');
      
      if((url == undefined) || (url == ''))
        url = window.location;

      if(url != undefined)
        postData +='&'+$(obj).serialize();
    }
      
    if((url == undefined)  && (url.indexOf('javascript') != -1 ))
      url = window.location.href;
  }
  
  if(ajaxOutput != undefined)
  {
    if(onAjaxWait != undefined)
      $(ajaxOutput).html(onAjaxWait);
    else
      $(ajaxOutput).append( 'Updating view please wait ...');
  }

  $.ajax({
        url: url,
        type: "POST",
        data: "ajaxRequest=true&"+postData,
        cache: false,
        success: function(data, textStatus){

          if(ajaxOutput != undefined)
          {
            $(ajaxOutput).hide('slide','', function(){$(ajaxOutput).html(data);} );
            $(ajaxOutput).show('slide');
          }

          if(successCallBackFunction != undefined)
            eval('successCallBackFunction(data, textStatus)');

          if(afterAjax != undefined)
            eval(afterAjax);

        },
        error: function(XMLHttpRequest, textStatus, errorThrown){

          if(errorCallBackFunction != undefined)
            eval('errorCallBackFunction(XMLHttpRequest, textStatus, errorThrown)');
        }
     }
  );
}

function bindEditContent(controller)
{
  $('.getEditContent').click(function(){
    var editInPlaceParent = $(this).parents('div.editInPlace');
    var targetElement = editInPlaceParent.attr('target');
    var targetElementId = $(targetElement).attr('id');
    
    var contentName = $(targetElement).attr('contentname');
    var contentType = $(targetElement).attr('contenttype');
    var uniquePerPage = $(targetElement).attr('uniquePerPage');
    
    var requestURL = framework.siteURL+framework.currentController+'/'+framework.adminFunction+'/getContent/?contentType='+contentType+'&contentName='+contentName+'&controller='+framework.currentController+'&function='+framework.currentFunction+'&uniquePerPage='+uniquePerPage;

    ajaxRequest(this, requestURL,'',function(data){

      $(targetElement).hide();
      $('#'+targetElementId+'-status').html('');

      editInPlaceParent.find('#editSiteProperties').hide();
      editInPlaceParent.find('#editPageProperties').hide();
      editInPlaceParent.find('.editContent').slideDown();
      
      var textArea = editInPlaceParent.find('.editContent textarea');
      textArea.val(data);
      
      if( $('#'+textArea.attr('id')+'___Config').length == 0)
        oFCKeditor = switchToEditor(textArea.attr('id'));
      else
        FCKeditorAPI.GetInstance(textArea.attr('id')).SetHTML(data);        
    })
  });
}

function bindEditPageProperties(controller)
{
  $('.getEditPageProperties').live('click', function(){
    var editInPlaceParent = $(this).parents('div.editInPlace');
    var targetElement = editInPlaceParent.attr('target');
    
    var requestURL = framework.siteURL+framework.currentController+'/'+framework.adminFunction+'/getPageProperties/?controller='+framework.currentController+'&function='+framework.currentFunction;

    ajaxRequest(this, requestURL,'',function(data){
      $(targetElement).hide();
      editInPlaceParent.find('.editContent').hide();
      editInPlaceParent.find('#editSiteProperties').hide();
      editInPlaceParent.find('#editPageProperties .content').html(data);
      editInPlaceParent.find('#editPageProperties').slideDown();
      bindSortChildNodes();
    })
    
  });
}

function bindEditSiteProperties()
{
  $('.getEditSiteProperties').live('click',function(){
    var editInPlaceParent = $(this).parents('div.editInPlace');
    var targetElement = editInPlaceParent.attr('target');

    var requestURL = framework.siteURL+framework.currentController+'/'+framework.adminFunction+'/getSiteProperties/';

    ajaxRequest(this, requestURL,'',function(data){
      $(targetElement).hide();
      editInPlaceParent.find('.editContent').hide();
      editInPlaceParent.find('#editPageProperties').hide();
      editInPlaceParent.find('#editSiteProperties .content').html(data);
      editInPlaceParent.find('#editSiteProperties').slideDown();
      bindSortChildNodes();
    })

  });
}

function bindAddNewChildPage()
{
  $('#addNewChildPage').live('click', function(){
    $('#addNewChildPageDiv').show();
  });
  
  $('#addNewChildPageBtn').live('click', function(){
    if($('#newPage').attr('value').trim() == '')
      return;
      
    var addNewChildPageURL = framework.siteURL+framework.currentController+'/'+framework.adminFunction+'/addNewChildPage/?controller='+framework.currentController+'&function='+framework.currentFunction+'&newPage='+$('#newPage').attr('value').trim();
    
    ajaxRequest(this, addNewChildPageURL,'',function(data){
      $('#childNodes').html( data );
      bindSortChildNodes();
    });
  });
  
  $('#cancelAddNewChildPageBtn').live('click',function(){
    $('#addNewChildPageDiv').hide();
  });
}

function bindDeleteChildPage()
{
  $('.deleteChildPage').live('click', function(){
    if(confirm('Are you sure you want to delete this page?'))
    {
      var controller = $(this).attr('controller');
      var func = $(this).attr('function');
      
      var deleteChildPageURL = framework.siteURL+framework.currentController+'/'+framework.adminFunction+'/deleteChildPage/?controller='+controller+'&function='+func;

      ajaxRequest(this, deleteChildPageURL,'',function(data){
        $('#childNodes').html( data );
        bindSortChildNodes();
      });
    }
  });
}

function bindAddNewLanguage()
{
  $('#addNewLanguage').live('click', function(){

      var language = prompt('Please enter a new language name','');

      if((language == '')||(language == null))
        return;
      var URL = framework.siteURL+framework.currentController+'/'+framework.adminFunction+'/addNewLanguage/?newLanguage='+language;

      ajaxRequest(this, URL,'',function(data){
        window.location.reload();
      });
  });
}

function bindRenameLanguage()
{
  $('#renameLanguage').live('click', function(){
      
      var oldName = $('#siteLanguages').attr('value');
      var newName = prompt('Please enter the new name for the language: '+oldName, oldName);

      if((newName == '')||(newName == null))
        return;

      var URL = framework.siteURL+framework.currentController+'/'+framework.adminFunction+'/renameLanguage/?newName='+newName+'&oldName='+oldName;

      ajaxRequest(this, URL,'',function(data){
        window.location.reload();
      });
  });
}

function bindDeleteLanguage()
{
  $('#deleteLanguage').live('click', function(){
    var language = $('#siteLanguages').attr('value');

    if(confirm('Are you sure you want to delete the language: '+language+'?'))
    {
      var URL = framework.siteURL+framework.currentController+'/'+framework.adminFunction+'/deleteLanguage/?language='+language;

      ajaxRequest(this, URL,'',function(data){
        window.location.reload();
      });
    }
  });
}