<?php
  class MediaBase
  {
    protected $siteURL = '';
    protected $srcURL = '';    
    protected $width = '100%';
    protected $height = '100%';
    protected $id = '';
    protected $jsDisabledText = 'Javascript is disabled';
    protected $flashDisabledText = 'Flash is disabled or not installed';
    protected $params = array();
    protected $flashVars = array();
    protected $attributes = array();
    protected $expressInstallSWFPath = 'js/swfobject/expressInstall.swf';
    protected $minFlashVersion = '8';

    public function __construct($siteURL, $id, $width='100%', $height='100%' )
    {
      $this->siteURL = $siteURL;
      $this->id = $id;
      $this->width = $width;
      $this->height = $height;
      
      $this->expressInstallSWFPath = $this->siteURL.$this->expressInstallSWFPath;
    }

    public function setSrcURL( $srcURL )
    {
      $this->srcURL = $srcURL;
    }

    public function setFlashVars( $flashVars )
    {
      $this->flashVars = $flashVars;
    }

    public function setParams( $params )
    {
      $this->params = $params;
    }

    public function setAttributes( $attributes )
    {
      $this->attributes = $attributes;
    }

    public function setMinFlashVersion( $minFlashVersion )
    {
      $this->minFlashVersion = $minFlashVersion;
    }

    public function setExpressInstallSWFPath( $expressInstallSWFPath )
    {
      $this->expressInstallSWFPath = $expressInstallSWFPath;
    }

    public function jsDisabledText( $jsDisabledText )
    {
      $this->jsDisabledText = $jsDisabledText;
    }

    public function flashDisabledText( $flashDisabledText )
    {
      $this->flashDisabledText = $flashDisabledText;
    }

    public function generateEmbedCode($playerURL, array $flashVars = array(), array $params=array(), array $attributes=array(), $jsDisabledText='', $flashDisabledText='')
    {
      $this->setSrcURL($playerURL);
      $this->setFlashVars($flashVars);

      if($jsDisabledText != '')
        $this->jsDisabledText($jsDisabledText);

      if($flashDisabledText != '')
        $this->flashDisabledText($flashDisabledText);

      if( count($params) == 0 )
      {
        $params['quality'] = 'high';
        $params['wmode'] = 'transparent';
      }

      $this->setParams($params);
      $this->setAttributes($attributes);
      
      return $this->generateSwfObject();
    }

    public function generateDiv()
    {
      $div = '
      <div id="'.$this->id.'" style="width:'.$this->width.'px; height:'.$this->height.'px">
        '.$this->jsDisabledText.'
      </div>
      ';

      return $div;
    }

    private function generateSWFObjectFlashVars()
    {
      $code = '{';

      foreach ($this->flashVars as $key=>$value)
        $code .= "$key: \"$value\",";

      $code .= '}';

      $code = str_replace(',}', '}', $code);
      return $code;
    }

    private function generateSWFObjectParams()
    {
      $code = '{';

      foreach ($this->params as $key=>$value)
        $code .= "$key: \"$value\",";

      $code .= '}';
      
      $code = str_replace(',}', '}', $code);
      return $code;
    }

    private function generateSWFObjectAttributes()
    {
      $code = '{';
      foreach ($this->attributes as $key=>$value)
        $code .= "$key: \"$value\",";

      $code .= '}';
      
      $code = str_replace(',}', '}', $code);
      return $code;
    }

    private function generateSwfObject()
    {
      $code = '
        <script type="text/javascript">
          $(document).ready(function(){
             $("#'.$this->id.'").html("'.$this->flashDisabledText.'");
             swfobject.embedSWF("'.$this->srcURL.'", "'.$this->id.'", "'.$this->width.'",  "'.$this->height.'", "'.$this->minFlashVersion.'", "'.$this->expressInstallSWFPath.'", '.$this->generateSWFObjectFlashVars().', '.$this->generateSWFObjectParams().', '.$this->generateSWFObjectAttributes().');
          });
        </script>
      ';

      return $code;
    }
  }
?>
