The 'Log' Class provides functions for generating Log files with ease<br /><br />

Example:<br />
<pre>
<code class="php">
  //This is a controller function
  public function Log()
  {
    //First we load the Log class file
    require_once '/libs/standalone/Log.php';

    //We then specify the location where we wan to store the logs
    $base = 'logs';
    
    //We then create an instance of the Log class passing in the location
    $log = new Log($base);

    //This function writes the log file
    $log->writeLog('ApplicationLog', 'LogHeader', $_SERVER);
    
    //Path would be: /logs/ApplicationLog/ApplicationLog_yyyy-mm-dd.txt
    
    //The output would be somethinglike below:
    /*
      ****************************************************************************
      LogHeader
      Timestamp: 30-Dec-2008 16:34:44
      ----------------------------------------------------------------------------

      Array
      (
          [HTTP_HOST] => localhost
          [HTTP_ACCEPT_LANGUAGE] => en-us,en;q=0.5
          [HTTP_ACCEPT_ENCODING] => gzip,deflate
          [HTTP_ACCEPT_CHARSET] => ISO-8859-1,utf-8;q=0.7,*;q=0.7
          [HTTP_KEEP_ALIVE] => 300
          [HTTP_CONNECTION] => keep-alive
          [HTTP_CACHE_CONTROL] => max-age=0
          .....
      )

      ****************************************************************************

    */
  }
</code>
</pre>
