<p>
  The 'Media' Class provides functions to easily embed Audio and Video files
</p>
<p>
  NOTE: Requires jquery.js and swfobject.js to be present
</p>
Example:<br />
<pre>
<code class="php">
  private function generatePlayer1()
  {
    $media3 = new Media(Config::$siteURL, 'MyMovie4', '300','100');

    $audioFilePath = Config::$siteURL.'audios/betty.mp3';
    $this->addToFrameworkCode($media3->generateAudioEmbedCode($audioFilePath));

    return $media3->generateDiv();
  }

  private function generatePlayer2()
  {
    $media3 = new Media(Config::$siteURL, 'MyMovie3', '400', '300');

    $flvFilePath = Config::$siteURL.'videos/3D_wallpapers_video_2.flv';
    $this->addToFrameworkCode($media3->generateFLVEmbedCode($flvFilePath));

    return $media3->generateDiv();
  }

  public function mediaPlayers()
  {
    require_once 'libs/standalone/standalone/Media.php';
    $this->addJSFile('js/swfobject/swfobject.js');

    $contentVars['MyMovie1Div'] = $this->generatePlayer1();
    $contentVars['MyMovie2Div'] = $this->generatePlayer2();

    $this->returnContent($this->loadMainContent('libraries/media', $contentVars));
  }
</code>
</pre>
{MyMovie1Div}
{MyMovie2Div}