<p>
  A Template is a php file which contains the overall site structure, it can contain template
  variables like {templateVariable} which is basically a placeholder for the actual content.
</p>
<p>
  All template files must be placed under the '/views/template/' directory.
</p>
<p>
  A template file can be set using $this->setTemplate('TemplateFile'); withing a controller function
  and then can be displayed using $this->display($parserArguments = array());
</p>
<p>
  <strong>NOTE:</strong> The 'parserArguments' is an associative array which contains a list of
  template variable, template value pairs i.e
  array( 'templateVariable1' => 'templateValue1', 'templateVariable2' => 'templateValue2', ... )
</p>
<p>
  The Parser uses this to parse the template and replace all the template variables with their
  respective values.
</p>
<p>
  The parser automaticly creates a list of template variable value pairs from the 'Config.php' file
  and the 'SiteMap.xml' file for the current page.
</p>
<p>
  Which meens if you use a template variable like { pageTitle } it will be replaced with the
  page title of the current page from the SiteMap.xml file and if you use a template variable { siteURL } it will convert
  that to the actual siteURL which it gets from the 'Config.php' file.
</p>
<p>
  So you can add custom variables to the 'Config.php' file and Custom attributes to the
  node of the SiteMap.xml file which you can then access directly using template variable
  {CustomConfigVariable} and {CustomNodeAttribute} respectively.
</p>
<p>
  The 'BaseController' Class exposes the following functions to work with templates:
  <ul>
    <li>protected function setTemplate($templateName)</li>
    <li>protected function display($templateVariables = array())</li>
  </ul>
</p>
<p>
  Example:
  <pre class="php">
    public function index()
    {
      //Set the protocol ( You can have different pages run on different protocols )
      $this->setProtocol('http');

      /*
        Set the language, this is used by the loadMainContent function.
        Values can be whatever you call the folder /views/content/[Language]/
        ( I recommend using standard Language Code's
        for example for canadian english use en-CA  )
      */
      $this->setLanguage('en-CA');

      //Set the template to be used ( Different pages can have different templates )
      $this->setTemplate('template1');

      //Loads the content file: /views/contents/en-CA/home.php
      $templateVars['rightContent'] = $this->loadMainContent('home');
      
      //Finally, parse the template template 1 using $templateVars
      $this->display($templateVars);
    }
  </pre>
</p>
